<ion-header>
  <ion-toolbar>
    <ion-buttons slot="start">
      <ion-menu-button></ion-menu-button>
    </ion-buttons>
    <ion-title>
      Home
    </ion-title>
  </ion-toolbar>
</ion-header>

<ion-content *ngIf="loggedIn">
  <ion-card class="welcome-card">
    <ion-item *ngIf="picture">
      <ion-avatar>
        <img src="{{ picture }}" alt="" />
      </ion-avatar>
    </ion-item>
    <ion-card-header>
      <ion-card-title>{{ name }}</ion-card-title>
      <ion-card-subtitle>{{ email }}</ion-card-subtitle>
    </ion-card-header>
    <ion-card-content>
      <p>Access Token : {{ accessToken }}</p>
    </ion-card-content>
  </ion-card>
</ion-content>

<ion-content *ngIf="!loggedIn" class="card">
	<ion-grid style="height: 100%">
		<ion-row justify-content-center align-items-center style="height: 100%">
        <ion-icon name="log-in"></ion-icon>&nbsp;Please Login to continue
		</ion-row>
	</ion-grid>
</ion-content>